VkXlibSurfaceCreateInfoKHR Struct Reference

`#include <vulkan_xlib.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkXlibSurfaceCreateFlagsKHR | flags
Display * | dpy
Window | window

## Detailed Description

Definition at line 36 of file vulkan_xlib.h.

## Field Documentation

## dpy

Display* VkXlibSurfaceCreateInfoKHR::dpy

Definition at line 40 of file vulkan_xlib.h.

## flags

VkXlibSurfaceCreateFlagsKHR VkXlibSurfaceCreateInfoKHR::flags

Definition at line 39 of file vulkan_xlib.h.

## pNext

const void* VkXlibSurfaceCreateInfoKHR::pNext

Definition at line 38 of file vulkan_xlib.h.

## sType

VkStructureType VkXlibSurfaceCreateInfoKHR::sType

Definition at line 37 of file vulkan_xlib.h.

## window

Window VkXlibSurfaceCreateInfoKHR::window

Definition at line 41 of file vulkan_xlib.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_xlib.h